This URL imports the list of allowed fingerprints to the Manager.
Resource URL
PUT /domain/<domain_id>/filereputation/allowedfingerprintsContent-type value
multipart/form-data; boundary=<x>
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| domain_id | Domain id | Number | Yes |
Payload Request Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| MultiPart | It holds the body parts object | Object | Yes |
Details of BodyPart[0]:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| BodyPart[0] | It holds the finger print action object | Application/json | Yes |
Details of FingerPrintAction:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Action | Action type, can be "APPEND"/ "REPLACE" | String | Yes |
Details of BodyPart[1]:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| BodyPart1] | It holds the .csv file as input stream | Application/octet-stream | Yes |
Details of file:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| File | Input Stream of the csv file | ByteArrayInput Stream | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| status | Status returned by updation | Number |
Example
Request
PUT https://%3CNSM_IP%3E/sdkapi/domain/0/filereputation/allowedfingerprints
Payload:
NSM-SDK-API: RERFNUIyODFCQTdGRDM1MTRBQTA4QzAwQUQ4MzAwQjE6MQ==
Accept: application/vnd.nsm.v1.0+json
Content-Type: multipart/form-data; boundary=Boundary_6_13995234_1360146256146
MIME-Version: 1.0
User-Agent: Java/1.6.0_25
Host: 127.0.0.1:8888
Connection: keep-alive
Content-Length: 3949
--Boundary_6_13995234_1360146256146
Content-Type: application/json
{"Action":"REPLACE"}
--Boundary_6_13995234_1360146256146
Content-Type: application/octet-stream
H¡EÀ¶¡Qoø¼Ä¨tTÐc[pbñšB=ã ¥Lh;bê²gà–*Äe#ÈÃñõ-1€>!´Øùþ&ck¾â•)9R–ë?0Ÿ¡º]‘3 9 ütþù9o\Ð…'㞦}à!ÿDŠ-W凴ê¬_”v`©BÈ�e8Ã�J=L=ÕÝc�¤Â˜ˆ¸‡u%§?,Sämá†6AÕô޹‰×L-•e«®Öô©Ä®àýò�ŒI5)‰5a7¥P¾£�Öñú�‚xœÕEieÓ°«Q{îB��9¬ëX†®%‰-îlÄ/9�q¸ÑÞð3;ËZNq(é{h+ò7Y,ቫËvOâazÎGöi"à‘êŒâª6õ]²BÈ‚…KU[Šâ«FA^�[gÝI”•F|ý Qe�’Y},6ؾm
ÒQ£VÄ’ºÉ«ûú >\'HÐ › ;¥žód»,‡‚3oÉæßõe,òöd[®Ýg-ðËÝE
'0•+Õµ(-Ú›íKSöö•�eß>ß”Z6l2¸"Âä±ÄR+ |g¯¿�P‚ÝÑÄú4jÆ¡ÒO’îOi+^VaÄO±K8ØáTÙè�_ˆY=êN¼?޵Ϭ£+Óo÷~uNvG=†•»ËÉ.†ŒÓ¬>vðA?\®ºÈ—(Mc¯U‚¼tXÊ¡+|)¶úV€²"e¿Z¬]‘�z-Jó\]Iõ€�Ô sµ ŸT\°ÿ”…¸ÇiVˆí^ÒÆü ¥}Tç÷Íõ„›ÌcoM,_1>¾�‡¢]¨£/ôÈ—}ÞÁ8NA�j m…JÇÇc•í <�eÚ+Å�Ya
--Boundary_6_13995234_1360146256146
Response
Response
{
"status":1
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 500 | 1101 | Internal server error |
| 2 | 404 | 1105 | Invalid domain |